Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135671 - GTK LaF not used by default on OpenJDK 6
GTK LaF not used by default on OpenJDK 6
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P2 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
http://codersifu.blogspot.com/2008/05...
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 10:25 UTC by Antonin Nebuzelsky
Modified: 2008-12-22 10:45 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2008-05-23 10:25:52 UTC
See the linked URL above for more information.

OpenJDK 6 must be added to list of JDKs on which we turn on GTK LaF by default on Linux and Solaris.
Comment 1 deman 2008-05-31 01:25:40 UTC
+1 

I try on Ubuntu 8.04, same result -- GTK L&F not enable by default.
Comment 2 David Simonek 2008-06-02 09:27:43 UTC
OK, it seems that only way to test OpenJDK easily now is to install either Ubuntu 8.04 or Fedora 9. I'm going to upgrade
and we will see...
Comment 3 Jaromir Uhrik 2008-06-11 10:41:32 UTC
Dafe promised to fix this for patch3. I am changing the status whiteboard accordingly.
Comment 4 David Simonek 2008-06-17 15:44:29 UTC
Fixed in http://hg.netbeans.org/main/rev/44dbf5e81d6c
Comment 5 rbalada 2008-08-04 15:53:50 UTC
Please note that NetBeans 6.1 Patch3 cut-off is going to happen on close of
business August 5th. If you would like to have bugfix for this issue as part of
NetBeans 6.1 Patch3, then this issue must have information about bugfix' trunk
changeset and it's status must be "VERIFIED".
Comment 6 Tomas Danek 2008-08-05 15:41:59 UTC
verified, on ubuntu hardy/gnome + openjdk6
Comment 7 rbalada 2008-08-05 21:06:57 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/44dbf5e81d6c into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/6993fa3c0a03


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo